Source: ruby-pdf-reader
Version: 1.3.3-1
Severity: serious
Justification: fails to build from source
User: reproducible-builds@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-builds@lists.alioth.debian.org

Dear Maintainer,

ruby-pdf-reader fails to build from source on unstable/amd64:

  [..]
  /usr/bin/ruby2.1 /usr/bin/gem2deb-test-runner
  Running tests for ruby2.1 using debian/ruby-tests.rake ...
  
RUBYLIB=/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby:.
  ruby2.1 -rrake -e ARGV.unshift\(\"-f\",\
  \"debian/ruby-tests.rake\"\)\;\ Rake.application.run
  /usr/bin/ruby2.1 /usr/bin/rspec --pattern
  spec/\*\*\{,/\*/\*\*\}/\*_spec.rb
  /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:656:in `block in
  expect_with': :stdlib is not supported (ArgumentError)
        from
        /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:635:in
        `map'
        from
        /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:635:in
        `expect_with'
        from /tmp/buildd/ruby-pdf-reader-1.3.3/spec/spec_helper.rb:20:in
        `block in <top (required)>'
        from /usr/lib/ruby/vendor_ruby/rspec/core.rb:97:in `configure'
        from /tmp/buildd/ruby-pdf-reader-1.3.3/spec/spec_helper.rb:19:in
        `<top (required)>'
        from
        /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
        `require'
        from
        /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in
        `require'
        from /tmp/buildd/ruby-pdf-reader-1.3.3/spec/buffer_spec.rb:3:in
        `<top (required)>'
        from
        /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1327:in
        `load'
        from
        /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1327:in
        `block in load_spec_files'
        from
        /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1325:in
        `each'
        from
        /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1325:in
        `load_spec_files'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:103:in
        `setup'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:89:in `run'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:74:in `run'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:42:in
        `invoke'
        from /usr/bin/rspec:4:in `<main>'
  /usr/bin/ruby2.1 /usr/bin/rspec --pattern
  spec/\*\*\{,/\*/\*\*\}/\*_spec.rb failed
  ERROR: Test "ruby2.1" failed. Exiting.
  dh_auto_install: dh_ruby --install
  /tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader returned exit
  code 1
  debian/rules:18: recipe for target 'override_dh_auto_install' failed
  make[1]: *** [override_dh_auto_install] Error 1
  make[1]: Leaving directory '/tmp/buildd/ruby-pdf-reader-1.3.3'
  debian/rules:15: recipe for target 'binary' failed
  make: *** [binary] Error 2
  dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit
  status 2

  [..]

The full build log is attached or can be viewed here:

  
https://reproducible.debian.net/logs/unstable/amd64/ruby-pdf-reader_1.3.3-1.build1.log.gz


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-
I: using fakeroot in build.
I: pbuilder: network access will be disabled during build
I: Current time: Mon Jul 13 21:08:49 GMT+12 2015
I: pbuilder-time-stamp: 1436864929
I: Building the build Environment
I: extracting base tarball [/var/cache/pbuilder/unstable-reproducible-base.tgz]
I: creating local configuration
I: copying local configuration
I: mounting /proc filesystem
I: mounting /run/shm filesystem
I: mounting /dev/pts filesystem
I: Mounting /dev/shm
I: Mounting /sys
I: policy-rc.d already exists
I: Installing the build-deps
 -> Attempting to satisfy build-dependencies
 -> Creating pbuilder-satisfydepends-dummy package
Package: pbuilder-satisfydepends-dummy
Version: 0.invalid.0
Architecture: amd64
Maintainer: Debian Pbuilder Team <pbuilder-ma...@lists.alioth.debian.org>
Description: Dummy package to satisfy dependencies with aptitude - created by 
pbuilder
 This package was created automatically by pbuilder to satisfy the
 build-dependencies of the package being currently built.
Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), ruby-rspec (>= 2.3~), 
ruby-ascii85 (>= 1.0.0~), ruby-rc4, ruby-afm, ruby-hashery, ruby-ttfunk
dpkg-deb: building package 'pbuilder-satisfydepends-dummy' in 
'/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.
Selecting previously unselected package pbuilder-satisfydepends-dummy.
(Reading database ... 20236 files and directories currently installed.)
Preparing to unpack .../pbuilder-satisfydepends-dummy.deb ...
Unpacking pbuilder-satisfydepends-dummy (0.invalid.0) ...
dpkg: pbuilder-satisfydepends-dummy: dependency problems, but configuring 
anyway as you requested:
 pbuilder-satisfydepends-dummy depends on gem2deb (>= 0.3.0~); however:
  Package gem2deb is not installed.
 pbuilder-satisfydepends-dummy depends on ruby-rspec (>= 2.3~); however:
  Package ruby-rspec is not installed.
 pbuilder-satisfydepends-dummy depends on ruby-ascii85 (>= 1.0.0~); however:
  Package ruby-ascii85 is not installed.
 pbuilder-satisfydepends-dummy depends on ruby-rc4; however:
  Package ruby-rc4 is not installed.
 pbuilder-satisfydepends-dummy depends on ruby-afm; however:
  Package ruby-afm is not installed.
 pbuilder-satisfydepends-dummy depends on ruby-hashery; however:
  Package ruby-hashery is not installed.
 pbuilder-satisfydepends-dummy depends on ruby-ttfunk; however:
  Package ruby-ttfunk is not installed.

Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...
Reading package lists...
Building dependency tree...
Reading state information...
Initializing package states...
Writing extended state information...
Building tag database...
The following NEW packages will be installed:
  ca-certificates{a} devscripts{a} dh-python{a} gem2deb{a} 
  gem2deb-test-runner{a} libexpat1{a} libgmp-dev{a} libgmpxx4ldbl{a} 
  libmpdec2{a} libpython3-stdlib{a} libpython3.4-minimal{a} 
  libpython3.4-stdlib{a} libruby2.1{a} libruby2.2{a} libssl1.0.0{a} 
  libyaml-0-2{a} mime-support{a} openssl{a} python3{a} python3-chardet{a} 
  python3-debian{a} python3-minimal{a} python3-pkg-resources{a} 
  python3-six{a} python3.4{a} python3.4-minimal{a} ruby{a} ruby-afm{a} 
  ruby-all-dev{a} ruby-ascii85{a} ruby-diff-lcs{a} ruby-hashery{a} 
  ruby-power-assert{a} ruby-rc4{a} ruby-rspec{a} ruby-rspec-core{a} 
  ruby-rspec-expectations{a} ruby-rspec-mocks{a} ruby-rspec-support{a} 
  ruby-setup{a} ruby-test-unit{a} ruby-thread-order{a} ruby-ttfunk{a} 
  ruby2.1{a} ruby2.1-dev{a} ruby2.2{a} ruby2.2-dev{a} 
  rubygems-integration{a} 
0 packages upgraded, 48 newly installed, 0 to remove and 0 not upgraded.
Need to get 18.3 MB of archives. After unpacking 75.8 MB will be used.
Writing extended state information...
Get: 1 http://ftp.de.debian.org/debian/ unstable/main libexpat1 amd64 
2.1.0-6+b3 [80.3 kB]
Get: 2 http://ftp.de.debian.org/debian/ unstable/main libmpdec2 amd64 2.4.1-1 
[85.7 kB]
Get: 3 http://ftp.de.debian.org/debian/ unstable/main libssl1.0.0 amd64 
1.0.2d-1 [1274 kB]
Get: 4 http://ftp.de.debian.org/debian/ unstable/main libpython3.4-minimal 
amd64 3.4.3-7 [495 kB]
Get: 5 http://ftp.de.debian.org/debian/ unstable/main mime-support all 3.58 
[36.0 kB]
Get: 6 http://ftp.de.debian.org/debian/ unstable/main libpython3.4-stdlib amd64 
3.4.3-7 [2057 kB]
Get: 7 http://ftp.de.debian.org/debian/ unstable/main libyaml-0-2 amd64 0.1.6-3 
[50.4 kB]
Get: 8 http://ftp.de.debian.org/debian/ unstable/main python3.4-minimal amd64 
3.4.3-7 [1400 kB]
Get: 9 http://ftp.de.debian.org/debian/ unstable/main python3-minimal amd64 
3.4.3-4 [34.7 kB]
Get: 10 http://ftp.de.debian.org/debian/ unstable/main python3.4 amd64 3.4.3-7 
[219 kB]
Get: 11 http://ftp.de.debian.org/debian/ unstable/main libpython3-stdlib amd64 
3.4.3-4 [18.1 kB]
Get: 12 http://ftp.de.debian.org/debian/ unstable/main dh-python all 
1.20150705-1 [66.7 kB]
Get: 13 http://ftp.de.debian.org/debian/ unstable/main python3 amd64 3.4.3-4 
[21.1 kB]
Get: 14 http://ftp.de.debian.org/debian/ unstable/main openssl amd64 1.0.2d-1 
[695 kB]
Get: 15 http://ftp.de.debian.org/debian/ unstable/main ca-certificates all 
20150426 [208 kB]
Get: 16 http://ftp.de.debian.org/debian/ unstable/main devscripts amd64 2.15.5 
[906 kB]
Get: 17 http://ftp.de.debian.org/debian/ unstable/main rubygems-integration all 
1.9 [4754 B]
Get: 18 http://ftp.de.debian.org/debian/ unstable/main libruby2.1 amd64 2.1.5-3 
[3281 kB]
Get: 19 http://ftp.de.debian.org/debian/ unstable/main ruby2.1 amd64 2.1.5-3 
[276 kB]
Get: 20 http://ftp.de.debian.org/debian/ unstable/main ruby all 1:2.1.5.1 [9756 
B]
Get: 21 http://ftp.de.debian.org/debian/ unstable/main libruby2.2 amd64 2.2.2-2 
[3102 kB]
Get: 22 http://ftp.de.debian.org/debian/ unstable/main ruby2.2 amd64 2.2.2-2 
[213 kB]
Get: 23 http://ftp.de.debian.org/debian/ unstable/main ruby-power-assert all 
0.2.3-1 [7236 B]
Get: 24 http://ftp.de.debian.org/debian/ unstable/main ruby-test-unit all 
3.1.2-1 [60.0 kB]
Get: 25 http://ftp.de.debian.org/debian/ unstable/main gem2deb-test-runner all 
0.18.3 [16.2 kB]
Get: 26 http://ftp.de.debian.org/debian/ unstable/main python3-pkg-resources 
all 17.0-1 [43.7 kB]
Get: 27 http://ftp.de.debian.org/debian/ unstable/main python3-chardet all 
2.3.0-1 [96.1 kB]
Get: 28 http://ftp.de.debian.org/debian/ unstable/main python3-six all 1.9.0-3 
[13.7 kB]
Get: 29 http://ftp.de.debian.org/debian/ unstable/main python3-debian all 
0.1.27 [50.9 kB]
Get: 30 http://ftp.de.debian.org/debian/ unstable/main libgmpxx4ldbl amd64 
2:6.0.0+dfsg-7 [22.2 kB]
Get: 31 http://ftp.de.debian.org/debian/ unstable/main libgmp-dev amd64 
2:6.0.0+dfsg-7 [621 kB]
Get: 32 http://ftp.de.debian.org/debian/ unstable/main ruby2.1-dev amd64 
2.1.5-3 [1101 kB]
Get: 33 http://ftp.de.debian.org/debian/ unstable/main ruby2.2-dev amd64 
2.2.2-2 [1142 kB]
Get: 34 http://ftp.de.debian.org/debian/ unstable/main ruby-all-dev all 
1:2.1.5.1 [9188 B]
Get: 35 http://ftp.de.debian.org/debian/ unstable/main ruby-setup all 3.4.1-9 
[34.2 kB]
Get: 36 http://ftp.de.debian.org/debian/ unstable/main gem2deb all 0.18.3 [51.6 
kB]
Get: 37 http://ftp.de.debian.org/debian/ unstable/main ruby-afm all 0.2.2-1 
[5506 B]
Get: 38 http://ftp.de.debian.org/debian/ unstable/main ruby-ascii85 all 1.0.2-3 
[9328 B]
Get: 39 http://ftp.de.debian.org/debian/ unstable/main ruby-diff-lcs all 
1.2.5-1 [26.7 kB]
Get: 40 http://ftp.de.debian.org/debian/ unstable/main ruby-hashery all 2.1.1-1 
[32.0 kB]
Get: 41 http://ftp.de.debian.org/debian/ unstable/main ruby-rc4 all 0.1.5-2 
[3936 B]
Get: 42 http://ftp.de.debian.org/debian/ unstable/main ruby-rspec-support all 
3.3.0c0e0m0s0-1 [24.3 kB]
Get: 43 http://ftp.de.debian.org/debian/ unstable/main ruby-rspec-expectations 
all 3.3.0c0e0m0s0-1 [90.1 kB]
Get: 44 http://ftp.de.debian.org/debian/ unstable/main ruby-rspec-mocks all 
3.3.0c0e0m0s0-1 [87.0 kB]
Get: 45 http://ftp.de.debian.org/debian/ unstable/main ruby-thread-order all 
1.1.0-1 [5096 B]
Get: 46 http://ftp.de.debian.org/debian/ unstable/main ruby-rspec-core all 
3.3.0c0e0m0s0-1 [174 kB]
Get: 47 http://ftp.de.debian.org/debian/ unstable/main ruby-rspec all 
3.3.0c0e0m0s0-1 [6544 B]
Get: 48 http://ftp.de.debian.org/debian/ unstable/main ruby-ttfunk all 1.4.0-1 
[24.0 kB]
Fetched 18.3 MB in 0s (22.3 MB/s)
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libexpat1:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20236 files and directories currently installed.)
Preparing to unpack .../libexpat1_2.1.0-6+b3_amd64.deb ...
Unpacking libexpat1:amd64 (2.1.0-6+b3) ...
Selecting previously unselected package libmpdec2:amd64.
Preparing to unpack .../libmpdec2_2.4.1-1_amd64.deb ...
Unpacking libmpdec2:amd64 (2.4.1-1) ...
Selecting previously unselected package libssl1.0.0:amd64.
Preparing to unpack .../libssl1.0.0_1.0.2d-1_amd64.deb ...
Unpacking libssl1.0.0:amd64 (1.0.2d-1) ...
Selecting previously unselected package libpython3.4-minimal:amd64.
Preparing to unpack .../libpython3.4-minimal_3.4.3-7_amd64.deb ...
Unpacking libpython3.4-minimal:amd64 (3.4.3-7) ...
Selecting previously unselected package mime-support.
Preparing to unpack .../mime-support_3.58_all.deb ...
Unpacking mime-support (3.58) ...
Selecting previously unselected package libpython3.4-stdlib:amd64.
Preparing to unpack .../libpython3.4-stdlib_3.4.3-7_amd64.deb ...
Unpacking libpython3.4-stdlib:amd64 (3.4.3-7) ...
Selecting previously unselected package libyaml-0-2:amd64.
Preparing to unpack .../libyaml-0-2_0.1.6-3_amd64.deb ...
Unpacking libyaml-0-2:amd64 (0.1.6-3) ...
Selecting previously unselected package python3.4-minimal.
Preparing to unpack .../python3.4-minimal_3.4.3-7_amd64.deb ...
Unpacking python3.4-minimal (3.4.3-7) ...
Selecting previously unselected package python3-minimal.
Preparing to unpack .../python3-minimal_3.4.3-4_amd64.deb ...
Unpacking python3-minimal (3.4.3-4) ...
Selecting previously unselected package python3.4.
Preparing to unpack .../python3.4_3.4.3-7_amd64.deb ...
Unpacking python3.4 (3.4.3-7) ...
Selecting previously unselected package libpython3-stdlib:amd64.
Preparing to unpack .../libpython3-stdlib_3.4.3-4_amd64.deb ...
Unpacking libpython3-stdlib:amd64 (3.4.3-4) ...
Selecting previously unselected package dh-python.
Preparing to unpack .../dh-python_1.20150705-1_all.deb ...
Unpacking dh-python (1.20150705-1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libssl1.0.0:amd64 (1.0.2d-1) ...
Setting up libpython3.4-minimal:amd64 (3.4.3-7) ...
Setting up libexpat1:amd64 (2.1.0-6+b3) ...
Setting up python3.4-minimal (3.4.3-7) ...
Setting up python3-minimal (3.4.3-4) ...
Processing triggers for libc-bin (2.19-19) ...
Selecting previously unselected package python3.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 21198 files and directories currently installed.)
Preparing to unpack .../python3_3.4.3-4_amd64.deb ...
Unpacking python3 (3.4.3-4) ...
Selecting previously unselected package openssl.
Preparing to unpack .../openssl_1.0.2d-1_amd64.deb ...
Unpacking openssl (1.0.2d-1) ...
Selecting previously unselected package ca-certificates.
Preparing to unpack .../ca-certificates_20150426_all.deb ...
Unpacking ca-certificates (20150426) ...
Selecting previously unselected package devscripts.
Preparing to unpack .../devscripts_2.15.5_amd64.deb ...
Unpacking devscripts (2.15.5) ...
Selecting previously unselected package rubygems-integration.
Preparing to unpack .../rubygems-integration_1.9_all.deb ...
Unpacking rubygems-integration (1.9) ...
Selecting previously unselected package libruby2.1:amd64.
Preparing to unpack .../libruby2.1_2.1.5-3_amd64.deb ...
Unpacking libruby2.1:amd64 (2.1.5-3) ...
Selecting previously unselected package ruby2.1.
Preparing to unpack .../ruby2.1_2.1.5-3_amd64.deb ...
Unpacking ruby2.1 (2.1.5-3) ...
Selecting previously unselected package ruby.
Preparing to unpack .../ruby_1%3a2.1.5.1_all.deb ...
Unpacking ruby (1:2.1.5.1) ...
Selecting previously unselected package libruby2.2:amd64.
Preparing to unpack .../libruby2.2_2.2.2-2_amd64.deb ...
Unpacking libruby2.2:amd64 (2.2.2-2) ...
Selecting previously unselected package ruby2.2.
Preparing to unpack .../ruby2.2_2.2.2-2_amd64.deb ...
Unpacking ruby2.2 (2.2.2-2) ...
Selecting previously unselected package ruby-power-assert.
Preparing to unpack .../ruby-power-assert_0.2.3-1_all.deb ...
Unpacking ruby-power-assert (0.2.3-1) ...
Selecting previously unselected package ruby-test-unit.
Preparing to unpack .../ruby-test-unit_3.1.2-1_all.deb ...
Unpacking ruby-test-unit (3.1.2-1) ...
Selecting previously unselected package gem2deb-test-runner.
Preparing to unpack .../gem2deb-test-runner_0.18.3_all.deb ...
Unpacking gem2deb-test-runner (0.18.3) ...
Selecting previously unselected package python3-pkg-resources.
Preparing to unpack .../python3-pkg-resources_17.0-1_all.deb ...
Unpacking python3-pkg-resources (17.0-1) ...
Selecting previously unselected package python3-chardet.
Preparing to unpack .../python3-chardet_2.3.0-1_all.deb ...
Unpacking python3-chardet (2.3.0-1) ...
Selecting previously unselected package python3-six.
Preparing to unpack .../python3-six_1.9.0-3_all.deb ...
Unpacking python3-six (1.9.0-3) ...
Selecting previously unselected package python3-debian.
Preparing to unpack .../python3-debian_0.1.27_all.deb ...
Unpacking python3-debian (0.1.27) ...
Selecting previously unselected package libgmpxx4ldbl:amd64.
Preparing to unpack .../libgmpxx4ldbl_2%3a6.0.0+dfsg-7_amd64.deb ...
Unpacking libgmpxx4ldbl:amd64 (2:6.0.0+dfsg-7) ...
Selecting previously unselected package libgmp-dev:amd64.
Preparing to unpack .../libgmp-dev_2%3a6.0.0+dfsg-7_amd64.deb ...
Unpacking libgmp-dev:amd64 (2:6.0.0+dfsg-7) ...
Selecting previously unselected package ruby2.1-dev:amd64.
Preparing to unpack .../ruby2.1-dev_2.1.5-3_amd64.deb ...
Unpacking ruby2.1-dev:amd64 (2.1.5-3) ...
Selecting previously unselected package ruby2.2-dev:amd64.
Preparing to unpack .../ruby2.2-dev_2.2.2-2_amd64.deb ...
Unpacking ruby2.2-dev:amd64 (2.2.2-2) ...
Selecting previously unselected package ruby-all-dev.
Preparing to unpack .../ruby-all-dev_1%3a2.1.5.1_all.deb ...
Unpacking ruby-all-dev (1:2.1.5.1) ...
Selecting previously unselected package ruby-setup.
Preparing to unpack .../ruby-setup_3.4.1-9_all.deb ...
Unpacking ruby-setup (3.4.1-9) ...
Selecting previously unselected package gem2deb.
Preparing to unpack .../gem2deb_0.18.3_all.deb ...
Unpacking gem2deb (0.18.3) ...
Selecting previously unselected package ruby-afm.
Preparing to unpack .../ruby-afm_0.2.2-1_all.deb ...
Unpacking ruby-afm (0.2.2-1) ...
Selecting previously unselected package ruby-ascii85.
Preparing to unpack .../ruby-ascii85_1.0.2-3_all.deb ...
Unpacking ruby-ascii85 (1.0.2-3) ...
Selecting previously unselected package ruby-diff-lcs.
Preparing to unpack .../ruby-diff-lcs_1.2.5-1_all.deb ...
Unpacking ruby-diff-lcs (1.2.5-1) ...
Selecting previously unselected package ruby-hashery.
Preparing to unpack .../ruby-hashery_2.1.1-1_all.deb ...
Unpacking ruby-hashery (2.1.1-1) ...
Selecting previously unselected package ruby-rc4.
Preparing to unpack .../ruby-rc4_0.1.5-2_all.deb ...
Unpacking ruby-rc4 (0.1.5-2) ...
Selecting previously unselected package ruby-rspec-support.
Preparing to unpack .../ruby-rspec-support_3.3.0c0e0m0s0-1_all.deb ...
Unpacking ruby-rspec-support (3.3.0c0e0m0s0-1) ...
Selecting previously unselected package ruby-rspec-expectations.
Preparing to unpack .../ruby-rspec-expectations_3.3.0c0e0m0s0-1_all.deb ...
Unpacking ruby-rspec-expectations (3.3.0c0e0m0s0-1) ...
Selecting previously unselected package ruby-rspec-mocks.
Preparing to unpack .../ruby-rspec-mocks_3.3.0c0e0m0s0-1_all.deb ...
Unpacking ruby-rspec-mocks (3.3.0c0e0m0s0-1) ...
Selecting previously unselected package ruby-thread-order.
Preparing to unpack .../ruby-thread-order_1.1.0-1_all.deb ...
Unpacking ruby-thread-order (1.1.0-1) ...
Selecting previously unselected package ruby-rspec-core.
Preparing to unpack .../ruby-rspec-core_3.3.0c0e0m0s0-1_all.deb ...
Unpacking ruby-rspec-core (3.3.0c0e0m0s0-1) ...
Selecting previously unselected package ruby-rspec.
Preparing to unpack .../ruby-rspec_3.3.0c0e0m0s0-1_all.deb ...
Unpacking ruby-rspec (3.3.0c0e0m0s0-1) ...
Selecting previously unselected package ruby-ttfunk.
Preparing to unpack .../ruby-ttfunk_1.4.0-1_all.deb ...
Unpacking ruby-ttfunk (1.4.0-1) ...
Processing triggers for man-db (2.7.0.2-5) ...
Setting up libmpdec2:amd64 (2.4.1-1) ...
Setting up mime-support (3.58) ...
Setting up libpython3.4-stdlib:amd64 (3.4.3-7) ...
Setting up libyaml-0-2:amd64 (0.1.6-3) ...
Setting up python3.4 (3.4.3-7) ...
Setting up libpython3-stdlib:amd64 (3.4.3-4) ...
Setting up openssl (1.0.2d-1) ...
Setting up ca-certificates (20150426) ...
Setting up rubygems-integration (1.9) ...
Setting up libruby2.1:amd64 (2.1.5-3) ...
Setting up ruby2.1 (2.1.5-3) ...
Setting up ruby (1:2.1.5.1) ...
Setting up libruby2.2:amd64 (2.2.2-2) ...
Setting up ruby2.2 (2.2.2-2) ...
Setting up ruby-power-assert (0.2.3-1) ...
Setting up ruby-test-unit (3.1.2-1) ...
Setting up gem2deb-test-runner (0.18.3) ...
Setting up libgmpxx4ldbl:amd64 (2:6.0.0+dfsg-7) ...
Setting up libgmp-dev:amd64 (2:6.0.0+dfsg-7) ...
Setting up ruby2.1-dev:amd64 (2.1.5-3) ...
Setting up ruby2.2-dev:amd64 (2.2.2-2) ...
Setting up ruby-all-dev (1:2.1.5.1) ...
Setting up ruby-setup (3.4.1-9) ...
Setting up ruby-afm (0.2.2-1) ...
Setting up ruby-ascii85 (1.0.2-3) ...
Setting up ruby-diff-lcs (1.2.5-1) ...
Setting up ruby-hashery (2.1.1-1) ...
Setting up ruby-rc4 (0.1.5-2) ...
Setting up ruby-rspec-support (3.3.0c0e0m0s0-1) ...
Setting up ruby-rspec-expectations (3.3.0c0e0m0s0-1) ...
Setting up ruby-rspec-mocks (3.3.0c0e0m0s0-1) ...
Setting up ruby-thread-order (1.1.0-1) ...
Setting up ruby-rspec-core (3.3.0c0e0m0s0-1) ...
Setting up ruby-rspec (3.3.0c0e0m0s0-1) ...
Setting up ruby-ttfunk (1.4.0-1) ...
Setting up python3 (3.4.3-4) ...
Setting up devscripts (2.15.5) ...
Setting up python3-pkg-resources (17.0-1) ...
Setting up python3-chardet (2.3.0-1) ...
Setting up python3-six (1.9.0-3) ...
Setting up python3-debian (0.1.27) ...
Setting up gem2deb (0.18.3) ...
Setting up dh-python (1.20150705-1) ...
Processing triggers for libc-bin (2.19-19) ...
Processing triggers for ca-certificates (20150426) ...
Updating certificates in /etc/ssl/certs...
180 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Writing extended state information...
Building tag database...
 -> Finished parsing the build-deps
Reading package lists...
Building dependency tree...
Reading state information...
fakeroot is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
I: Copying source file
I: copying [ruby-pdf-reader_1.3.3-1.dsc]
I: copying [./ruby-pdf-reader_1.3.3.orig.tar.gz]
I: copying [./ruby-pdf-reader_1.3.3-1.debian.tar.xz]
I: Extracting source
gpgv: keyblock resource `/tmp/buildd/.gnupg/trustedkeys.gpg': file open error
gpgv: Signature made Wed Feb 19 09:21:07 2014 GMT+12 using RSA key ID 8F9F8F09
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on 
./ruby-pdf-reader_1.3.3-1.dsc
dpkg-source: info: extracting ruby-pdf-reader in ruby-pdf-reader-1.3.3
dpkg-source: info: unpacking ruby-pdf-reader_1.3.3.orig.tar.gz
dpkg-source: info: unpacking ruby-pdf-reader_1.3.3-1.debian.tar.xz
dpkg-source: info: applying 0002-examples_rubygems.patch
dpkg-source: info: applying 0004-spec_fix_requires.patch
dpkg-source: info: applying 0006-spec_add_require_yaml.patch
I: Building the package
I: Running cd tmp/buildd/*/ && env 
PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/games" dpkg-buildpackage -us -uc  -b 
-rfakeroot
dpkg-buildpackage: source package ruby-pdf-reader
dpkg-buildpackage: source version 1.3.3-1
dpkg-buildpackage: source distribution unstable
dpkg-buildpackage: source changed by Cédric Boutillier <bou...@debian.org>
 dpkg-source --before-build ruby-pdf-reader-1.3.3
dpkg-buildpackage: host architecture amd64
 fakeroot debian/rules clean
dh clean --buildsystem=ruby --with ruby
   dh_testdir -O--buildsystem=ruby
   dh_auto_clean -O--buildsystem=ruby
        dh_ruby --clean
   dh_ruby --clean
   dh_clean -O--buildsystem=ruby
        rm -f debian/ruby-pdf-reader.substvars
        rm -f debian/ruby-pdf-reader.*.debhelper
        rm -rf debian/ruby-pdf-reader/
        rm -rf debian/.debhelper/
        rm -f debian/*.debhelper.log
        rm -f debian/files
        find .  \( \( \
                \( -path .\*/.git -o -path .\*/.svn -o -path .\*/.bzr -o -path 
.\*/.hg -o -path .\*/CVS \) -prune -o -type f -a \
                \( -name '#*#' -o -name '.*~' -o -name '*~' -o -name DEADJOE \
                 -o -name '*.orig' -o -name '*.rej' -o -name '*.bak' \
                 -o -name '.*.orig' -o -name .*.rej -o -name '.SUMS' \
                 -o -name TAGS -o \( -path '*/.deps/*' -a -name '*.P' \) \
                \) -exec rm -f {} + \) -o \
                \( -type d -a -name autom4te.cache -prune -exec rm -rf {} + \) 
\)
        rm -f *-stamp
 debian/rules build
dh build --buildsystem=ruby --with ruby
   dh_testdir -O--buildsystem=ruby
   dh_auto_configure -O--buildsystem=ruby
        dh_ruby --configure
   dh_auto_build -O--buildsystem=ruby
        dh_ruby --build
   dh_ruby --build
   dh_auto_test -O--buildsystem=ruby
        dh_ruby --test
 fakeroot debian/rules binary
dh binary --buildsystem=ruby --with ruby
   dh_testroot -O--buildsystem=ruby
   dh_prep -O--buildsystem=ruby
        rm -f debian/ruby-pdf-reader.substvars
        rm -f debian/ruby-pdf-reader.*.debhelper
        rm -rf debian/ruby-pdf-reader/
   debian/rules override_dh_auto_install
make[1]: Entering directory '/tmp/buildd/ruby-pdf-reader-1.3.3'
dh_auto_install
        install -d debian/ruby-pdf-reader
        dh_ruby --install 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader
   dh_ruby --install
install -d /tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin
install -D -m755 /tmp/buildd/ruby-pdf-reader-1.3.3/bin/pdf_text 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_text
install -D -m755 /tmp/buildd/ruby-pdf-reader-1.3.3/bin/pdf_object 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_object
install -D -m755 /tmp/buildd/ruby-pdf-reader-1.3.3/bin/pdf_list_callbacks 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_list_callbacks
install -D -m755 /tmp/buildd/ruby-pdf-reader-1.3.3/bin/pdf_callbacks 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_callbacks
install -d 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/xref.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/xref.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/width_calculator/type_zero.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/type_zero.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/width_calculator/type_one_or_three.rb
 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/type_one_or_three.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/width_calculator/true_type.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/true_type.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/width_calculator/composite.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/composite.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/width_calculator/built_in.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator/built_in.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/width_calculator.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/width_calculator.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/transformation_matrix.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/transformation_matrix.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/token.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/token.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/text_run.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/text_run.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/text_receiver.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/text_receiver.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/synchronized_cache.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/synchronized_cache.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/stream.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/stream.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/standard_security_handler.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/standard_security_handler.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/resource_methods.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/resource_methods.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/register_receiver.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/register_receiver.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/reference.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/reference.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/print_receiver.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/print_receiver.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/parser.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/parser.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/pages_strategy.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/pages_strategy.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/page_text_receiver.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/page_text_receiver.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/page_state.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/page_state.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/page_layout.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/page_layout.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/page.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/page.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/object_stream.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/object_stream.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/object_hash.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/object_hash.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/object_cache.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/object_cache.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/metadata_strategy.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/metadata_strategy.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/lzw.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/lzw.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/glyphlist.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/glyphlist.txt
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/glyph_hash.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/glyph_hash.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/form_xobject.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/form_xobject.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/font_descriptor.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/font_descriptor.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/font.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/font.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/run_length.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/run_length.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/null.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/null.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/lzw.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/lzw.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/flate.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/flate.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/depredict.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/depredict.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/ascii_hex.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/ascii_hex.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter/ascii85.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter/ascii85.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/filter.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/filter.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/error.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/error.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/zapf_dingbats.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/zapf_dingbats.txt
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/win_ansi.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/win_ansi.txt
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/symbol.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/symbol.txt
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/standard.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/standard.txt
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/pdf_doc.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/pdf_doc.txt
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/mac_roman.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/mac_roman.txt
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encodings/mac_expert.txt 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encodings/mac_expert.txt
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/encoding.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/encoding.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/cmap.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/cmap.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/cid_widths.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/cid_widths.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/buffer.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/buffer.rb
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/ZapfDingbats.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/ZapfDingbats.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Times-Roman.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-Roman.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Times-Italic.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-Italic.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Times-BoldItalic.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-BoldItalic.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Times-Bold.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Times-Bold.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Symbol.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Symbol.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Helvetica.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Helvetica-Oblique.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica-Oblique.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Helvetica-BoldOblique.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica-BoldOblique.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Helvetica-Bold.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Helvetica-Bold.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Courier.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Courier-Oblique.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier-Oblique.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Courier-BoldOblique.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier-BoldOblique.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/afm/Courier-Bold.afm 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/afm/Courier-Bold.afm
install -D -m644 
/tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader/abstract_strategy.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader/abstract_strategy.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/reader.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/reader.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf/hash.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf/hash.rb
install -D -m644 /tmp/buildd/ruby-pdf-reader-1.3.3/lib/pdf-reader.rb 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby/pdf-reader.rb
dh_installchangelogs -pruby-pdf-reader 
/tmp/buildd/ruby-pdf-reader-1.3.3/CHANGELOG upstream
        install -d debian/ruby-pdf-reader/usr/share/doc/ruby-pdf-reader
        install -p -m0644 debian/changelog 
debian/ruby-pdf-reader/usr/share/doc/ruby-pdf-reader/changelog.Debian
        install -p -m0644 /tmp/buildd/ruby-pdf-reader-1.3.3/CHANGELOG 
debian/ruby-pdf-reader/usr/share/doc/ruby-pdf-reader/changelog
Rewriting shebang line of 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_callbacks
Rewriting shebang line of 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_list_callbacks
Rewriting shebang line of 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_object
Rewriting shebang line of 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/bin/pdf_text
generating gemspec at 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/share/rubygems-integration/all/specifications/pdf-reader-1.3.3.gemspec
/usr/bin/ruby2.1 /usr/bin/gem2deb-test-runner
Running tests for ruby2.1 using debian/ruby-tests.rake ...
RUBYLIB=/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader/usr/lib/ruby/vendor_ruby:.
 ruby2.1 -rrake -e ARGV.unshift\(\"-f\",\ \"debian/ruby-tests.rake\"\)\;\ 
Rake.application.run
/usr/bin/ruby2.1 /usr/bin/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb
/usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:656:in `block in 
expect_with': :stdlib is not supported (ArgumentError)
        from /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:635:in `map'
        from /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:635:in 
`expect_with'
        from /tmp/buildd/ruby-pdf-reader-1.3.3/spec/spec_helper.rb:20:in `block 
in <top (required)>'
        from /usr/lib/ruby/vendor_ruby/rspec/core.rb:97:in `configure'
        from /tmp/buildd/ruby-pdf-reader-1.3.3/spec/spec_helper.rb:19:in `<top 
(required)>'
        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in 
`require'
        from /tmp/buildd/ruby-pdf-reader-1.3.3/spec/buffer_spec.rb:3:in `<top 
(required)>'
        from /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1327:in 
`load'
        from /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1327:in 
`block in load_spec_files'
        from /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1325:in 
`each'
        from /usr/lib/ruby/vendor_ruby/rspec/core/configuration.rb:1325:in 
`load_spec_files'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:103:in `setup'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:89:in `run'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:74:in `run'
        from /usr/lib/ruby/vendor_ruby/rspec/core/runner.rb:42:in `invoke'
        from /usr/bin/rspec:4:in `<main>'
/usr/bin/ruby2.1 /usr/bin/rspec --pattern spec/\*\*\{,/\*/\*\*\}/\*_spec.rb 
failed
ERROR: Test "ruby2.1" failed. Exiting.
dh_auto_install: dh_ruby --install 
/tmp/buildd/ruby-pdf-reader-1.3.3/debian/ruby-pdf-reader returned exit code 1
debian/rules:18: recipe for target 'override_dh_auto_install' failed
make[1]: *** [override_dh_auto_install] Error 1
make[1]: Leaving directory '/tmp/buildd/ruby-pdf-reader-1.3.3'
debian/rules:15: recipe for target 'binary' failed
make: *** [binary] Error 2
dpkg-buildpackage: error: fakeroot debian/rules binary gave error exit status 2
E: Failed autobuilding of package
I: unmounting /sys filesystem
I: unmounting /dev/shm filesystem
I: unmounting dev/pts filesystem
I: unmounting run/shm filesystem
I: unmounting proc filesystem
I: cleaning the build env 
I: removing directory /var/cache/pbuilder/build//12829 and its subdirectories
_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to